
Redmine - Defect #25486

Repository history is not updating

2017-03-31 11:56 - Maxim Krušina

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.3.1

Description

Hi, on just one project we have something wrong.

When I go Git repo overview: https://ourredmine/projects/ourproject/repository I see al the changes (like file XY modified 2 hours ago

etc.)

When I click on revisions: https://ourredmine/projects/ourproject/repository/revisions i see last revision somewhere in 2016

Also, when we push to repository something with comment referencing the ticket, it's not parsed and commit is not showing on the

ticket's page.

Other projects with git repos are working just great.

Any clue? Thanx!

History

#1 - 2017-03-31 14:14 - Toshi MARUYAMA

- Category set to SCM

#2 - 2017-05-30 14:06 - [ Desperados ]

similar problem, but my entire repository is stopped from 2 months (both repository and revisions)

this issue has happened many times to me, everytime I delete repository and recreate, redmine works for a long time (even a couple of hours) and

rebuild it

then, it works for a while (a couple of months) and then hangs again

#3 - 2017-05-30 14:12 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please describe your environment to see submissions.

#4 - 2017-09-20 11:09 - [ Desperados ]

mysql-server-5.7

ruby2.3

git 1:2.7.4-0ubuntu1.1

"ruby bin/about" output:

/var/lib/gems/2.3.0/gems/htmlentities-4.3.1/lib/htmlentities/mappings/expanded.rb:465: warning: key "inodot" i

s duplicated and overwritten on line 466

sh: 1: darcs: not found

sh: 1: hg: not found

sh: 1: cvs: not found

sh: 1: bzr: not found

Environment:

  Redmine version                3.3.0.stable

  Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux-gnu]

  Rails version                  4.2.6

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.9.3

  Git                            2.7.4

  Filesystem

Redmine plugins:
  my_projects                    1.4

  redmine_checklists             3.1.3

  redmine_code_review            0.7.0

  redmine_contacts               4.0.4

  redmine_custom_css             0.1.6

  redmine_default_custom_query   1.2.0

  redmine_favorite_projects      2.0.2

  redmine_jstoolbar_ext          0.2.1

  redmine_jstoolbar_ext_coderay  0.2.0

  redmine_jstoolbar_ext_images   0.2.0

  redmine_lightbox2              0.3.2

  redmine_my_page_queries        2.1.6

  redmine_people                 1.2.0

  redmine_questions              0.0.7

  redmine_release_notes          1.3.1

  redmine_stats                  0.0.3

  redmine_tweaks                 0.5.8-dev

  redmine_wiki_extensions        0.7.0

#5 - 2018-06-14 09:47 - [ Desperados ]

again, 2 months from last time...

in logs there is this error: #11841
